## ukui-panel 3.0.5

=== CMakeLists.txt ===
﻿cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
project(ukui-panel)

option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the ukui-leave (ukui-session) to be installed in runtime." OFF)

#判断编译器类型,如果是gcc编译器,则在编译选项中加入c++11支持
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
    message(STATUS "optional:-std=c++11")   
endif(CMAKE_COMPILER_IS_GNUCXX)

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

macro(setByDefault VAR_NAME VAR_VALUE)
  if(NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif(NOT DEFINED ${VAR_NAME})
endmacro()

include(GNUInstallDirs)

setByDefault(CUSTOM_QT_5_6_VERSION Yes)
setByDefault(CUSTOM_QT_5_12_VERSION No)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION "5.6.1")
set(KF5_MINIMUM_VERSION "5.18.0")
set(QT_MINIMUM_VERSION "5.6.1")
set(UKUI_MINIMUM_VERSION "0.14.1")
set(QTXDG_MINIMUM_VERSION "3.3.1")

find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(X11 REQUIRED)
find_package(Qt5LinguistTools)

find_package(PkgConfig)
pkg_check_modules(Gsetting REQUIRED gsettings-qt)
include_directories(${Gsetting_INCLUDE_DIRS})
set(LIBRARIES
    ${Gsetting_LIBRARIES}
    #    -lukui-log4qt
)

# Patch Version
set(UKUI_VERSION 3.0)
set(UKUI_PANEL_PATCH_VERSION 0)
set(UKUI_MAJOR_VERSION 3)
set(UKUI_MINOR_VERSION 0)

#set(UKUI_TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ukui/translations/")
set(UKUI_PANEL_VERSION ${UKUI_MAJOR_VERSION}.${UKUI_MINOR_VERSION}.${UKUI_PANEL_PATCH_VERSION})
add_definitions("-DUKUI_PANEL_VERSION=\"${UKUI_PANEL_VERSION}\"")

include(./cmake/ukui-build-tools/modules/UKUiPreventInSourceBuilds.cmake)
#include(./cmake/ukui-build-tools/modules/UKUiTranslate.cmake)

# All UKUiCompilerSettings except CMAKE_MODULE_LINKER_FLAGS work just fine
# So we reset only these Flags after loading UKUiCompilerSettings
# ukui-build-tools:
#  set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined ${SYMBOLIC_FLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "==OLD== CMAKE_MODULE_LINKER_FLAGS: ${CMAKE_MODULE_LINKER_FLAGS}")
set( OLD_CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "${OLD_CMAKE_MODULE_LINKER_FLAGS} ${SYMBOLIC_FLAGS}")

# Warning: This must be before add_subdirectory(panel). Move with caution.
set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/ukui-panel")
add_definitions(
    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
)
#Add PACKAGE_DATA_DIR
set(PACKAGE_DATA_DIR "/usr/share/ukui-panel")
add_definitions(
    -DPACKAGE_DATA_DIR=\"${PACKAGE_DATA_DIR}\"
    -DQT_MESSAGELOGCONTEXT
)

message(STATUS "CMAKE Module linker flags: ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")

#########################################################################
# Plugin system
# You can enable/disable building of the plugin using cmake options.
#    cmake -DWORLDCLOCK_PLUGIN=Yes .. # Enable worldclock plugin
#    cmake -DWORLDCLOCK_PLUGIN=No ..  # Disable worldclock plugin

include("cmake/BuildPlugin.cmake")
include(./cmake/ukui-build-tools/modules/UKUiTranslateDesktop.cmake)
include(./cmake/ukui-build-tools/modules/UKUiTranslationLoader.cmake)
set(ENABLED_PLUGINS) # list of enabled plugins
set(STATIC_PLUGINS) # list of statically linked plugins

setByDefault(QUICKLAUNCH_PLUGIN Yes)
if(QUICKLAUNCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "quicklaunch")
    add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Quicklaunch")
    add_subdirectory(plugin-quicklaunch)
endif()


setByDefault(SHOWDESKTOP_PLUGIN Yes)
if(SHOWDESKTOP_PLUGIN)
    list(APPEND STATIC_PLUGINS "showdesktop")
    add_definitions(-DWITH_SHOWDESKTOP_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Show Desktop")
    add_subdirectory(plugin-showdesktop)
endif()


setByDefault(TASKBAR_PLUGIN Yes)
if(TASKBAR_PLUGIN)
  list(APPEND STATIC_PLUGINS "taskbar")
  add_definitions(-DWITH_TASKBAR_PLUGIN)
  list(APPEND ENABLED_PLUGINS "Taskbar")
  add_subdirectory(plugin-taskbar)
endif()

add_subdirectory(ukui-flash-disk)

setByDefault(TRAY_PLUGIN Yes)
if(TRAY_PLUGIN)
    list(APPEND STATIC_PLUGINS "tray")
    add_definitions(-DWITH_TRAY_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Tray")
    add_subdirectory(plugin-tray)
endif()

setByDefault(STATUSNOTIFIER_PLUGIN Yes)
if(STATUSNOTIFIER_PLUGIN)
    list(APPEND STATIC_PLUGINS "statusnotifier")
    add_definitions(-DWITH_STATUSNOTIFIER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Status Notifier")
    add_subdirectory(plugin-statusnotifier)
endif()

setByDefault(SPACER_PLUGIN Yes)
if(SPACER_PLUGIN)
    list(APPEND STATIC_PLUGINS "spacer")
    add_definitions(-DWITH_SPACER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Spacer")
    add_subdirectory(plugin-spacer)
endif()

setByDefault(CALENDAR_PLUGIN Yes)
if(CALENDAR_PLUGIN)
    list(APPEND ENABLED_PLUGINS "calendar")
    add_subdirectory(plugin-calendar)
endif(CALENDAR_PLUGIN)

setByDefault(STARTMENU_PLUGIN Yes)
if(STARTMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "startmenu")
    add_subdirectory(plugin-startmenu)
endif(STARTMENU_PLUGIN)

setByDefault(NIGHTMODE_PLUGIN Yes)
if(NIGHTMODE_PLUGIN)
    list(APPEND ENABLED_PLUGINS "nightmode")
    add_subdirectory(plugin-nightmode)
endif(NIGHTMODE_PLUGIN)

setByDefault(TASKVIEW_PLUGIN Yes)
if(TASKVIEW_PLUGIN)
    list(APPEND ENABLED_PLUGINS "taskview")
    add_subdirectory(plugin-taskview)
endif(TASKVIEW_PLUGIN)

setByDefault(SEGMENTATION_PLUGIN Yes)
if(SEGMENTATION_PLUGIN)
    list(APPEND ENABLED_PLUGINS "segmentation")
    add_subdirectory(plugin-segmentation)
endif(SEGMENTATION_PLUGIN)

#########################################################################

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
    message(STATUS "  ${PLUGIN_STR}")
endforeach()
message(STATUS "*********************************************************************")

add_subdirectory(panel)

file(GLOB_RECURSE QRC_SOURCE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)

# translation
set(UKUI_TRANSLATIONS_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ukui/)
add_definitions(
    -DUKUI_TRANSLATIONS_DIR="${UKUI_TRANSLATIONS_DIR}"
)
if (NOT DEFINED UPDATE_TRANSLATIONS)
    set(UPDATE_TRANSLATIONS "No")
endif()

# To create a new ts file: lupdate -recursive . -target-language zh_CN -ts panel/resources/ukui-panel_zh_CN.ts
file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/panel/resources/*.ts")

# cmake -DUPDATE_TRANSLATIONS=yes
if (UPDATE_TRANSLATIONS)
    qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()
add_custom_target(translations ALL DEPENDS ${QM_FILES})
install(FILES ${QM_FILES} DESTINATION ${UKUI_TRANSLATIONS_DIR})

=== panel/CMakeLists.txt ===
set(PROJECT ukui-panel)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

add_subdirectory(common)
#add_subdirectory(xdg)
#add_subdirectory(common_fun)

set(PRIV_HEADERS
    panelpluginsmodel.h
    ukuipanel.h
    ukuipanelapplication.h
    ukuipanelapplication_p.h
    ukuipanellayout.h
    plugin.h
    pluginsettings_p.h
    ukuipanellimits.h
    pluginmoveprocessor.h
    highlight-effect.h
)

# using UKUi namespace in the public headers.
set(PUB_HEADERS
    ukuipanelglobals.h
    pluginsettings.h
    iukuipanelplugin.h
    iukuipanel.h
    comm_func.h

    common/ukuisettings.h
    common/ukuiplugininfo.h
    common/ukuiapplication.h
    common/ukuisingleapplication.h
    common/ukuitranslator.h

    common/ukuigridlayout.h
    common/ukuiglobals.h
    common_fun/listengsettings.h
    common_fun/ukuipanel_infomation.h
    common_fun/dbus-adaptor.h
    common_fun/panel_commission.h
    ukuicontrolstyle.h
    highlight-effect.cpp
    customstyle.h
)

set(SOURCES
    main.cpp
    panelpluginsmodel.cpp
    windownotifier.cpp
    ukuipanel.cpp
    ukuipanelapplication.cpp
    ukuipanellayout.cpp
    plugin.cpp
    pluginsettings.cpp
    pluginmoveprocessor.cpp
    ukuipanelpluginconfigdialog.cpp
    comm_func.cpp

    common/ukuiplugininfo.cpp
    common/ukuisettings.cpp
    common/ukuiapplication.cpp
    common/ukuisingleapplication.cpp
    common/ukuitranslator.cpp

    common/ukuigridlayout.cpp
    common_fun/listengsettings.cpp
    common_fun/ukuipanel_infomation.cpp
    common_fun/dbus-adaptor.cpp
    common_fun/panel_commission.cpp
    ukuicontrolstyle.cpp
    customstyle.cpp
)

file(GLOB CONFIG_FILES resources/*.conf resources/*.qss)
############################################

add_definitions(-DCOMPILE_UKUI_PANEL)

set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ukui/${PROJECT}")
add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")

if (WITH_SCREENSAVER_FALLBACK)
    message(STATUS "Building with conversion of deprecated 'screensaver' plugin")
    add_definitions(-DWITH_SCREENSAVER_FALLBACK "-DUKUI_LOCK_DESKTOP=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/ukui-lockscreen.desktop\"")
endif ()

project(${PROJECT})

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

 #Translations
#ukui_translate_ts(QM_FILES SOURCES
#    UPDATE_TRANSLATIONS
#        ${UPDATE_TRANSLATIONS}
#    SOURCES
#        ${PUB_HEADERS}
#        ${PRIV_HEADERS}
#        ${SOURCES}
#        ${UI}
#    INSTALL_DIR
#    "${UKUI_TRANSLATIONS_DIR}/${PROJECT_NAME}"
#)

ukui_app_translation_loader(SOURCES ${PROJECT_NAME})

QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
    common/dbus/org.ukui.SingleApplication.xml
    common/ukuisingleapplication.h UKUi::SingleApplication
)

set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
list(APPEND SOURCES "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")




add_executable(${PROJECT}
    ${PUB_HEADERS}
    ${PRIV_HEADERS}
    ${QM_FILES}
    ${SOURCES}
    ${UI}
)
find_package(PkgConfig)
pkg_check_modules(GLIB2 REQUIRED glib-2.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
pkg_check_modules(Gsetting REQUIRED gsettings-qt)
include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${GIO2_INCLUDE_DIRS})
include_directories(${Gsetting_INCLUDE_DIRS})
#ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
target_link_libraries(${PROJECT}
    ${LIBRARIES}
    ${QTX_LIBRARIES}
    KF5::WindowSystem
    ${STATIC_PLUGINS}
    Qt5Xdg
    ${GLIB2_LIBRARIES}
    ${GIO2_LIBRARIES}
    ${Gsetting_LIBRARIES}
)


target_compile_definitions(${PROJECT}
    PRIVATE
        "UKUI_RELATIVE_SHARE_DIR=\"${UKUI_RELATIVE_SHARE_DIR}\""
        #"UKUI_SHARE_DIR=\"${UKUI_SHARE_DIR}\""
        "UKUI_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${UKUI_RELATIVE_TRANSLATIONS_DIR}\""
        "UKUI_SHARE_TRANSLATIONS_DIR=\"${UKUI_TRANSLATIONS_DIR}\""
        "UKUI_GRAPHICS_DIR=\"${UKUI_GRAPHICS_DIR}\""
        #"UKUI_ETC_XDG_DIR=\"${UKUI_ETC_XDG_DIR}\""
        "UKUI_DATA_DIR=\"${UKUI_DATA_DIR}\""   
        "UKUI_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
        #"UKUI_VERSION=\"${UKUI_VERSION}\""
        #"COMPILE_LIBUKUI"
        #"QT_USE_QSTRINGBUILDER"
        #"QT_NO_CAST_FROM_ASCII"
        #"QT_NO_CAST_TO_ASCII"
        #"QT_NO_URL_CAST_FROM_STRING"
        #"QT_NO_CAST_FROM_BYTEARRAY"
        #"$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
        #"$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
)


install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES ${CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/ukui)
install(FILES ${PUB_HEADERS} DESTINATION include/ukui)
install(FILES
    ../man/ukui-panel.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)
install(FILES
    resources/ukui-panel.desktop
    DESTINATION "/etc/xdg/autostart/"
    COMPONENT Runtime
)

install(DIRECTORY
	./img/
    DESTINATION "${PACKAGE_DATA_DIR}/panel/img"
)

install(FILES
    resources/ukui-panel_zh_CN.qm resources/ukui-panel_zh_CN.ts resources/ukui-panel_tr.ts
    DESTINATION "${PACKAGE_DATA_DIR}/panel/resources"
    COMPONENT Runtime
)

install(FILES
    resources/org.ukui.panel.settings.gschema.xml
    DESTINATION "/usr/share/glib-2.0/schemas"
    COMPONENT Runtime
)

install(FILES
    resources/panel-commission.sh  resources/panel-commission.ini  resources/ukui-panel-reset.sh resources/ukui-panel-config.sh
    DESTINATION "/usr/share/ukui/ukui-panel"
    COMPONENT Runtime
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ GROUP_WRITE WORLD_READ WORLD_WRITE WORLD_EXECUTE
    GROUP_EXECUTE GROUP_READ
)

=== plugin-calendar/CMakeLists.txt ===
﻿
set(PLUGIN "calendar")
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
    message(STATUS "optional:-std=c++11")
endif(CMAKE_COMPILER_IS_GNUCXX)

set(HEADERS
    ukuicalendar.h
    ukuiwebviewdialog.h
    lunarcalendarwidget/frmlunarcalendarwidget.h
    lunarcalendarwidget/lunarcalendarinfo.h
    lunarcalendarwidget/lunarcalendaritem.h
    lunarcalendarwidget/lunarcalendaryearitem.h
    lunarcalendarwidget/lunarcalendarmonthitem.h
    lunarcalendarwidget/lunarcalendarwidget.h
    lunarcalendarwidget/picturetowhite.h
    lunarcalendarwidget/customstylePushbutton.h
)

set(SOURCES
    ukuicalendar.cpp
    ukuiwebviewdialog.cpp
    lunarcalendarwidget/frmlunarcalendarwidget.cpp
    lunarcalendarwidget/lunarcalendarinfo.cpp
    lunarcalendarwidget/lunarcalendaritem.cpp
    lunarcalendarwidget/lunarcalendaryearitem.cpp
    lunarcalendarwidget/lunarcalendarmonthitem.cpp
    lunarcalendarwidget/lunarcalendarwidget.cpp
    lunarcalendarwidget/picturetowhite.cpp
    lunarcalendarwidget/customstylePushbutton.cpp
)

set(UIS
    ukuiwebviewdialog.ui
    lunarcalendarwidget/frmlunarcalendarwidget.ui
)

find_package(Qt5WebKit)
find_package(Qt5WebKitWidgets)
find_package(PkgConfig)
pkg_check_modules(Gsetting REQUIRED gsettings-qt)
pkg_check_modules(CALENDAR_DEPS REQUIRED glib-2.0)
include_directories(${CALENDAR_DEPS_INCLUDE_DIRS})
include_directories(${Gsetting_INCLUDE_DIRS})


ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
link_libraries(libQt5WebKitWidgets.so.5 libQt5WebKit.so.5 glib-2.0.so)
install(DIRECTORY html/
        DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/html)

install(DIRECTORY style/
        DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/style)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-nightmode/CMakeLists.txt ===
set(PLUGIN "nightmode")

set(HEADERS
    nightmode.h
)

set(SOURCES
    nightmode.cpp
)

set(LIBRARIES
#    Qt5Xdg
    ${Gsetting_LIBRARIES}
)
include_directories(${_Qt5DBus_OWN_INCLUDE_DIRS})
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-showdesktop/CMakeLists.txt ===
set(PLUGIN "showdesktop")

set(HEADERS
    showdesktop.h
)

set(SOURCES
    showdesktop.cpp
)
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-statusnotifier/CMakeLists.txt ===
set(PLUGIN "statusnotifier")


find_package(dbusmenu-qt5 REQUIRED)

set(HEADERS
    statusnotifier.h
    dbustypes.h
    statusnotifierbutton.h
    statusnotifieriteminterface.h
    statusnotifierwatcher.h
    statusnotifierwidget.h
    sniasync.h
    statusnotifier_storagearrow.h
)

set(SOURCES
    statusnotifier.cpp
    dbustypes.cpp
    statusnotifierbutton.cpp
    statusnotifieriteminterface.cpp
    statusnotifierwatcher.cpp
    statusnotifierwidget.cpp
    sniasync.cpp
    statusnotifier_storagearrow.cpp
)

qt5_add_dbus_adaptor(DBUS_SOURCES
    org.kde.StatusNotifierItem.xml
    statusnotifieriteminterface.h
    StatusNotifierItemInterface
)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

list(APPEND SOURCES "${DBUS_SOURCES}")

set(LIBRARIES
    dbusmenu-qt5
)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-taskbar/CMakeLists.txt ===
set(PLUGIN "taskbar")

set(HEADERS
    ukuitaskbar.h
    ukuitaskbutton.h
    ukuitaskbarplugin.h
    ukuitaskgroup.h
    ukuigrouppopup.h
    ukuitaskwidget.h
    ukuitaskclosebutton.h
)

set(SOURCES
    ukuitaskbar.cpp
    ukuitaskbutton.cpp
    ukuitaskbarplugin.cpp
    ukuitaskgroup.cpp
    ukuigrouppopup.cpp
    ukuitaskwidget.cpp
    ukuitaskclosebutton.cpp
)

find_package(X11 REQUIRED)

set(LIBRARIES
    ${X11_LIBRARIES}
    Qt5X11Extras
)

find_package(PkgConfig)
pkg_check_modules(GIOUNIX2 REQUIRED gio-unix-2.0)
pkg_check_modules(GLIB2 REQUIRED glib-2.0 gio-2.0)
include_directories(${GLIB2_INCLUDE_DIRS})
#for <QDBusInterface>
include_directories(${_Qt5DBus_OWN_INCLUDE_DIRS})
include_directories(
    ${UKUI_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../panel"
    ${GIOUNIX2_INCLUDE_DIRS}
)

set(LIBRARIES
    Qt5Xdg
    ${GIOUNIX2_LIBRARIES}
)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== ukui-flash-disk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(ukui-flash-disk)

#判断编译器类型,如果是gcc编译器,则在编译选项中加入c++11支持
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
    message(STATUS "optional:-std=c++11")
endif(CMAKE_COMPILER_IS_GNUCXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(CMAKE_VERSION VERSION_LESS "3.7.0")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

find_package(Qt5 COMPONENTS Widgets Network REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5WindowSystem REQUIRED)

pkg_check_modules(GLIB2 REQUIRED glib-2.0 gio-2.0 udisks2)
pkg_check_modules(QGS REQUIRED gsettings-qt)


include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${QGS_INCLUDE_DIRS})
add_executable(ukui-flash-disk
    ukui-flash-disk.qrc
    disk-resources/ukui-flash-disk_zh_CN.ts
    disk-resources/ukui-flash-disk_tr.ts
    main.cpp
    mainwindow.cpp
    qclickwidget.cpp
    qclickwidget.h
    UnionVariable.cpp
    UnionVariable.h
    ejectInterface.cpp
    ejectInterface.h
    clickLabel.h
    device-operation.h
    device-operation.cpp
    clickLabel.cpp
    device-manager.h
    device-manager.cpp
    repair-dialog-box.h
    repair-dialog-box.cpp
    MainController.h
    MainController.cpp
    MacroFile.h
    interactivedialog.cpp
    interactivedialog.h
    gpartedinterface.cpp
    gpartedinterface.h
        mainwindow.ui
        mainwindow.h
    fdapplication.cpp
    fdapplication.h
    fdframe.cpp
    fdframe.h
    flashdiskdata.cpp
    flashdiskdata.h
    fdclickwidget.cpp
    fdclickwidget.h
    QtSingleApplication/qtsingleapplication.h
    QtSingleApplication/qtsingleapplication.cpp
    QtSingleApplication/qtlocalpeer.h
    QtSingleApplication/qtlocalpeer.cpp
    datacdrom.h
    datacdrom.cpp
)

add_executable(test-repair-dialog
    device-manager.h
    device-manager.cpp
    repair-dialog-box.h
    repair-dialog-box.cpp
    device-operation.h
    device-operation.cpp
    test-repair-dialog.cpp
)
target_link_libraries(test-repair-dialog  Qt5::Widgets Qt5::DBus ${GLIB2_LIBRARIES} ${QGS_LIBRARIES} KF5::WindowSystem)

add_definitions(-DQT_NO_KEYWORDS)
add_definitions(-DQT_MESSAGELOGCONTEXT)

#target_link_libraries(${PROJECT_NAME}  Qt5::Widgets Qt5::DBus Qt5::Network ${GLIB2_LIBRARIES} ${QGS_LIBRARIES} KF5::WindowSystem -lukui-log4qt)
target_link_libraries(${PROJECT_NAME}  Qt5::Widgets Qt5::DBus Qt5::Network ${GLIB2_LIBRARIES} ${QGS_LIBRARIES} KF5::WindowSystem)

install(TARGETS ukui-flash-disk DESTINATION bin)

install(FILES
    disk-resources/ukui-flash-disk.desktop
    DESTINATION "/etc/xdg/autostart/"
    COMPONENT Runtime
)

install(FILES
    ukui-flash-disk.qrc disk-resources/ukui-flash-disk_zh_CN.qm disk-resources/ukui-flash-disk_tr.qm
    DESTINATION "/usr/share/ukui/ukui-panel/"
    COMPONENT Runtime
)

install(FILES
    disk-resources/org.ukui.flash-disk.autoload.gschema.xml
    DESTINATION "/usr/share/glib-2.0/schemas"
    COMPONENT Runtime
)

=== debian/changelog ===
ukui-panel (3.0.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 27 Sep 2021 14:51:15 +0800

ukui-panel (3.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 05 Aug 2021 14:32:40 +0800

=== debian/control ===
Source: ukui-panel
Section: x11
Priority: optional
Maintainer: kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev(>=2.36),
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libqt5webkit5-dev,
               libqt5xdg-dev,
               qttools5-dev,
               libgsettings-qt-dev,
               libdconf-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qttools5-dev-tools,
               qtbase5-private-dev,
               libxtst-dev,
               libudisks2-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/ukui/ukui-panel
Vcs-Git: https://github.com/ukui/ukui-panel
Homepage: https://github.com/ukui/ukui-panel

Package: ukui-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ukui-indicators
Suggests: ukui-window-switch (>=3.0.0-3),
          time-shutdown
Description: ukui desktop panel
 The ukui desktop panel is used on ukui desktop and has some plugins like
 starmenu, quicklaunch and other useful tools.
 .
 This package contains the ukui panel.

## ukui-panel 3.0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 include_directories(${Gsetting_INCLUDE_DIRS})
 set(LIBRARIES
     ${Gsetting_LIBRARIES}
-    #    -lukui-log4qt
+    -lukui-log4qt
 )
 
 # Patch Version
@@ -102,7 +102,7 @@
 set(ENABLED_PLUGINS) # list of enabled plugins
 set(STATIC_PLUGINS) # list of statically linked plugins
 
-setByDefault(QUICKLAUNCH_PLUGIN Yes)
+setByDefault(QUICKLAUNCH_PLUGIN No)
 if(QUICKLAUNCH_PLUGIN)
     list(APPEND STATIC_PLUGINS "quicklaunch")
     add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
@@ -129,14 +129,10 @@
 endif()
 
 add_subdirectory(ukui-flash-disk)
-
-setByDefault(TRAY_PLUGIN Yes)
-if(TRAY_PLUGIN)
-    list(APPEND STATIC_PLUGINS "tray")
-    add_definitions(-DWITH_TRAY_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "System Tray")
-    add_subdirectory(plugin-tray)
-endif()
+#add_subdirectory(ukui-calendar)
+add_subdirectory(panel-daemon)
+add_subdirectory(sni-daemon)
+add_subdirectory(sni-xembed-proxy)
 
 setByDefault(STATUSNOTIFIER_PLUGIN Yes)
 if(STATUSNOTIFIER_PLUGIN)
@@ -160,29 +156,17 @@
     add_subdirectory(plugin-calendar)
 endif(CALENDAR_PLUGIN)
 
-setByDefault(STARTMENU_PLUGIN Yes)
-if(STARTMENU_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "startmenu")
-    add_subdirectory(plugin-startmenu)
-endif(STARTMENU_PLUGIN)
-
 setByDefault(NIGHTMODE_PLUGIN Yes)
 if(NIGHTMODE_PLUGIN)
     list(APPEND ENABLED_PLUGINS "nightmode")
     add_subdirectory(plugin-nightmode)
 endif(NIGHTMODE_PLUGIN)
 
-setByDefault(TASKVIEW_PLUGIN Yes)
-if(TASKVIEW_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "taskview")
-    add_subdirectory(plugin-taskview)
-endif(TASKVIEW_PLUGIN)
-
-setByDefault(SEGMENTATION_PLUGIN Yes)
-if(SEGMENTATION_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "segmentation")
-    add_subdirectory(plugin-segmentation)
-endif(SEGMENTATION_PLUGIN)
+setByDefault(STARTBAR_PLUGIN Yes)
+if(STARTBAR_PLUGIN)
+    list(APPEND ENABLED_PLUGINS "startbar")
+    add_subdirectory(plugin-startbar)
+endif(STARTBAR_PLUGIN)
 
 #########################################################################
 
@@ -196,24 +180,24 @@
 
 file(GLOB_RECURSE QRC_SOURCE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)
 
-# translation
-set(UKUI_TRANSLATIONS_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ukui/)
-add_definitions(
-    -DUKUI_TRANSLATIONS_DIR="${UKUI_TRANSLATIONS_DIR}"
-)
-if (NOT DEFINED UPDATE_TRANSLATIONS)
-    set(UPDATE_TRANSLATIONS "No")
-endif()
-
-# To create a new ts file: lupdate -recursive . -target-language zh_CN -ts panel/resources/ukui-panel_zh_CN.ts
-file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/panel/resources/*.ts")
-
-# cmake -DUPDATE_TRANSLATIONS=yes
-if (UPDATE_TRANSLATIONS)
-    qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${TS_FILES})
-else()
-    qt5_add_translation(QM_FILES ${TS_FILES})
-endif()
-add_custom_target(translations ALL DEPENDS ${QM_FILES})
-install(FILES ${QM_FILES} DESTINATION ${UKUI_TRANSLATIONS_DIR})
-
+## translation
+#set(UKUI_TRANSLATIONS_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ukui/)
+#add_definitions(
+#    -DUKUI_TRANSLATIONS_DIR="${UKUI_TRANSLATIONS_DIR}"
+#)
+#if (NOT DEFINED UPDATE_TRANSLATIONS)
+#    set(UPDATE_TRANSLATIONS "No")
+#endif()
+
+## To create a new ts file: lupdate -recursive . -target-language zh_CN -ts panel/resources/ukui-panel_zh_CN.ts
+#file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/panel/resources/*.ts")
+
+## cmake -DUPDATE_TRANSLATIONS=yes
+#if (UPDATE_TRANSLATIONS)
+#    qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${TS_FILES})
+#else()
+#    qt5_add_translation(QM_FILES ${TS_FILES})
+#endif()
+#add_custom_target(translations ALL DEPENDS ${QM_FILES})
+#install(FILES ${QM_FILES} DESTINATION ${UKUI_TRANSLATIONS_DIR})
+

=== panel-daemon/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(panel-daemon)

#判断编译器类型,如果是gcc编译器,则在编译选项中加入c++11支持
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")
    message(STATUS "optional:-std=c++11")
endif(CMAKE_COMPILER_IS_GNUCXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(CMAKE_VERSION VERSION_LESS "3.7.0")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

find_package(Qt5 COMPONENTS Widgets Network REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5WindowSystem REQUIRED)

pkg_check_modules(GLIB2 REQUIRED glib-2.0 gio-2.0 udisks2)
pkg_check_modules(QGS REQUIRED gsettings-qt)


include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${QGS_INCLUDE_DIRS})
add_executable(panel-daemon
    jsonwathcer/jsonwacther.cpp
    jsonwathcer/jsonwacther.h
    filewatcher/filewatcher.cpp
    filewatcher/filewatcher.h
    convert-desktop-windowid/convertdesktoptowinid.cpp
    convert-desktop-windowid/convertdesktoptowinid.h
    pin-totaskbar/pintotaskbar.cpp
    pin-totaskbar/pintotaskbar.h
    pin-totaskbar/taskbar-dbus-adaptor.cpp
    pin-totaskbar/taskbar-dbus-adaptor.h
    dbus-server/server.cpp
    dbus-server/server.h
    dbus-server/dbus-adaptor.cpp
    dbus-server/dbus-adaptor.h
    datewather/datewatcher.cpp
    datewather/datewatcher.h
    watchermanager.cpp
    watchermanager.h
    main.cpp
)


add_definitions(-DQT_MESSAGELOGCONTEXT)

target_link_libraries(${PROJECT_NAME}  Qt5::Widgets Qt5::DBus Qt5::Network ${GLIB2_LIBRARIES} ${QGS_LIBRARIES} KF5::WindowSystem)

install(TARGETS panel-daemon DESTINATION bin)

install(FILES
    resources/ukui-panel-daemon.desktop
    DESTINATION "/etc/xdg/autostart/"
    COMPONENT Runtime
)

=== panel/CMakeLists.txt ===
--- 
+++ 
@@ -197,9 +197,20 @@
 )
 
 install(FILES
-    resources/panel-commission.sh  resources/panel-commission.ini  resources/ukui-panel-reset.sh resources/ukui-panel-config.sh
+    resources/panel-commission.sh   resources/ukui-panel-reset.sh resources/ukui-panel-config.sh
     DESTINATION "/usr/share/ukui/ukui-panel"
     COMPONENT Runtime
     PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ GROUP_WRITE WORLD_READ WORLD_WRITE WORLD_EXECUTE
     GROUP_EXECUTE GROUP_READ
 )
+
+install(FILES
+    resources/panel-commission.ini  
+    DESTINATION "/usr/share/ukui/ukui-panel"
+    COMPONENT Runtime
+)
+
+set(PLUGIN panel)
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+

=== plugin-calendar/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,6 @@
     lunarcalendarwidget/frmlunarcalendarwidget.ui
 )
 
-find_package(Qt5WebKit)
-find_package(Qt5WebKitWidgets)
 find_package(PkgConfig)
 pkg_check_modules(Gsetting REQUIRED gsettings-qt)
 pkg_check_modules(CALENDAR_DEPS REQUIRED glib-2.0)
@@ -46,11 +44,11 @@
 
 
 ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
-link_libraries(libQt5WebKitWidgets.so.5 libQt5WebKit.so.5 glib-2.0.so)
+link_libraries(glib-2.0.so)
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
 install(DIRECTORY html/
         DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/html)
 
-install(DIRECTORY style/
-        DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/style)
-
 BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-nightmode/CMakeLists.txt ===
--- 
+++ 
@@ -12,5 +12,9 @@
 #    Qt5Xdg
     ${Gsetting_LIBRARIES}
 )
+
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
 include_directories(${_Qt5DBus_OWN_INCLUDE_DIRS})
 BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-quicklaunch/CMakeLists.txt ===
set(PLUGIN "quicklaunch")

set(HEADERS
    ukuiquicklaunchplugin.h
    ukuiquicklaunch.h
    quicklaunchbutton.h
    quicklaunchaction.h
    json.h
#    ../panel/customstyle.h
)

set(SOURCES
    ukuiquicklaunchplugin.cpp
    ukuiquicklaunch.cpp
    quicklaunchbutton.cpp
    quicklaunchaction.cpp
    json.cpp
#    ../panel/customstyle.cpp
)

find_package(PkgConfig)
pkg_check_modules(GIOUNIX2 REQUIRED gio-unix-2.0)

include_directories(
    ${UKUI_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../panel"
    ${GIOUNIX2_INCLUDE_DIRS}
)

set(LIBRARIES
    Qt5Xdg
    ${GIOUNIX2_LIBRARIES}
)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-segmentation/CMakeLists.txt ===
set(PLUGIN "segmentation")

set(HEADERS
    segmentation.h
)

set(SOURCES
    segmentation.cpp
)

install(FILES
    img/segmentation.svg img/segmentationh.svg
    DESTINATION "${PACKAGE_DATA_DIR}/plugin-segmentation/img"
    COMPONENT Runtime
)
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-startbar/CMakeLists.txt ===
set(PLUGIN "startbar")

set(HEADERS
    startbar.h
    startmenu_button.h
    taskview_button.h
)

set(SOURCES
    startbar.cpp
    startmenu_button.cpp
    taskview_button.cpp
)

set(UIS
)

set(LIBRARIES
)

install(FILES
    img/search.png
    DESTINATION "${PACKAGE_DATA_DIR}/plugin-assistant/img"
    COMPONENT Runtime
)

ukui_plugin_translate_ts(${PLUGIN})

BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-startmenu/CMakeLists.txt ===
set(PLUGIN "startmenu")

set(HEADERS
    startmenu.h
)

set(SOURCES
    startmenu.cpp
)

set(UIS
)

set(LIBRARIES
)

install(FILES
    img/startmenu.svg
    DESTINATION "${PACKAGE_DATA_DIR}/plugin-startmenu/img"
    COMPONENT Runtime
)
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-statusnotifier/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
     statusnotifierwidget.h
     sniasync.h
     statusnotifier_storagearrow.h
+    statusnotifierwatcher_interface.h
+    systemtraytypedefs.h
+    dbusproperties.h
+
 )
 
 set(SOURCES
@@ -23,6 +27,8 @@
     statusnotifierwidget.cpp
     sniasync.cpp
     statusnotifier_storagearrow.cpp
+    statusnotifierwatcher_interface.cpp
+    dbusproperties.cpp
 )
 
 qt5_add_dbus_adaptor(DBUS_SOURCES

=== plugin-taskbar-wayland/CMakeLists.txt ===
set(PLUGIN "taskbar")

set(HEADERS
    ukuitaskbar.h
    ukuitaskbutton.h
    ukuitaskbarplugin.h
    ukuitaskgroup.h
    ukuigrouppopup.h
    ukuitaskwidget.h
    ukuitaskclosebutton.h
	ukuitaskbaricon.h
)

set(SOURCES
    ukuitaskbar.cpp
    ukuitaskbutton.cpp
    ukuitaskbarplugin.cpp
    ukuitaskgroup.cpp
    ukuigrouppopup.cpp
    ukuitaskwidget.cpp
    ukuitaskclosebutton.cpp
    ukuitaskbaricon.cpp
)

find_package(X11 REQUIRED)

set(LIBRARIES
    ${X11_LIBRARIES}
    Qt5X11Extras
)

find_package(PkgConfig)
pkg_check_modules(GIOUNIX2 REQUIRED gio-unix-2.0)
pkg_check_modules(GLIB2 REQUIRED glib-2.0 gio-2.0)
include_directories(${GLIB2_INCLUDE_DIRS})
#for <QDBusInterface>
include_directories(${_Qt5DBus_OWN_INCLUDE_DIRS})
include_directories(
    ${UKUI_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../panel"
    ${GIOUNIX2_INCLUDE_DIRS}
)

set(LIBRARIES
    Qt5Xdg
    ${GIOUNIX2_LIBRARIES}
)

install(FILES
    resources/name-icon.match
    DESTINATION "/usr/share/ukui/ukui-panel/plugin-taskbar"
    COMPONENT Runtime
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ GROUP_WRITE WORLD_READ WORLD_WRITE WORLD_EXECUTE
    GROUP_EXECUTE GROUP_READ
)
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-taskbar/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     ukuigrouppopup.h
     ukuitaskwidget.h
     ukuitaskclosebutton.h
+        quicklaunchaction.h
 )
 
 set(SOURCES
@@ -18,14 +19,10 @@
     ukuigrouppopup.cpp
     ukuitaskwidget.cpp
     ukuitaskclosebutton.cpp
+    quicklaunchaction.cpp
 )
 
 find_package(X11 REQUIRED)
-
-set(LIBRARIES
-    ${X11_LIBRARIES}
-    Qt5X11Extras
-)
 
 find_package(PkgConfig)
 pkg_check_modules(GIOUNIX2 REQUIRED gio-unix-2.0)
@@ -42,6 +39,17 @@
 set(LIBRARIES
     Qt5Xdg
     ${GIOUNIX2_LIBRARIES}
+    ${X11_LIBRARIES}
+    Qt5X11Extras
 )
 
+install(FILES
+    resources/name-icon.match
+    DESTINATION "/usr/share/ukui/ukui-panel/plugin-taskbar"
+    COMPONENT Runtime
+)
+
+include(../cmake/UkuiPluginTranslationTs.cmake)
+ukui_plugin_translate_ts(${PLUGIN})
+
 BUILD_UKUI_PLUGIN(${PLUGIN})

=== debian/changelog ===
ukui-panel (3.0.6.4-2) unstable; urgency=medium

  * d/control: switch build-depends from libsensors4-dev to
    libsensors-dev. (Closes: #980733)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 21 Aug 2023 16:10:45 +0800

ukui-panel (3.0.6.4-1) unstable; urgency=medium

  * New upstream bugfix release. (LP: #1966864)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 29 Mar 2022 14:56:10 +0800

ukui-panel (3.0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 21 Feb 2022 15:24:34 +0800

ukui-panel (3.0.6-1) focal; urgency=medium

  * New upstream release.

 -- Allen <zouchang@kylinos.cn>  Thu, 04 Nov 2021 17:19:50 +0800

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libglib2.0-dev(>=2.36),
                libicu-dev,
                libkf5solid-dev,
-               libkf5windowsystem-dev,
+               libkf5windowsystem-dev(>=5.68.0-0kylin1k2~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libsensors4-dev [!hurd-any],
+               libsensors-dev [!hurd-any],
                libstatgrab-dev [linux-any],
                libx11-dev,
                libxcb-damage0-dev,
@@ -30,12 +30,17 @@
                qttools5-dev,
                libgsettings-qt-dev,
                libdconf-dev,
+               libukui-log4qt-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
                qttools5-dev-tools,
-               qtbase5-private-dev,
-               libxtst-dev,
-               libudisks2-dev
+               libx11-dev,
+	       libxtst-dev,
+	       libudisks2-dev,
+	       libxcb-render-util0-dev,
+	       libxcb-image0-dev,
+	       libxcb-composite0-dev,
+	       libxcb-shape0-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/ukui/ukui-panel
